Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.facet
Interface FacetPackage

All Known Implementing Classes:
  FacetPackageImpl

    public interface FacetPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `FacetFactory`

Nested Class Summary
`static interface` | `FacetPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Field Summary
`static FacetPackage` | `eINSTANCE` The singleton instance of the package.
`static java.lang.String` | `eNAME` The package name.
`static java.lang.String` | `eNS_PREFIX` The package namespace name.
`static java.lang.String` | `eNS_URI` The package namespace URI.
`static int` | `FACET` The meta object id for the '`Facet`' class.
`static int` | `FACET__ABSTRACT` The feature id for the 'Abstract' attribute.
`static int` | `FACET__CONDITION_QUERY` The feature id for the 'Condition Query' reference.
`static int` | `FACET__DEFAULT_VALUE` The feature id for the 'Default Value' attribute.
`static int` | `FACET__EALL_ATTRIBUTES` The feature id for the 'EAll Attributes' reference list.
`static int` | `FACET__EALL_CONTAINMENTS` The feature id for the 'EAll Containments' reference list.
`static int` | `FACET__EALL_GENERIC_SUPER_TYPES` The feature id for the 'EAll Generic Super Types' reference list.
`static int` | `FACET__EALL_OPERATIONS` The feature id for the 'EAll Operations' reference list.
`static int` | `FACET__EALL_REFERENCES` The feature id for the 'EAll References' reference list.
`static int` | `FACET__EALL_STRUCTURAL_FEATURES` The feature id for the 'EAll Structural Features' reference list.
`static int` | `FACET__EALL_SUPER_TYPES` The feature id for the 'EAll Super Types' reference list.
`static int` | `FACET__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` | `FACET__EATTRIBUTES` The feature id for the 'EAttributes' reference list.
`static int` | `FACET__EGENERIC_SUPER_TYPES` The feature id for the 'EGeneric Super Types' containment reference list.
`static int` | `FACET__EID_ATTRIBUTE` The feature id for the 'EID Attribute' reference.
`static int` | `FACET__EOPERATIONS` The feature id for the 'EOperations' containment reference list.
`static int` | `FACET__EPACKAGE` The feature id for the 'EPackage' container reference.
`static int` | `FACET__EREFERENCES` The feature id for the 'EReferences' reference list.
`static int` | `FACET__ESTRUCTURAL_FEATURES` The feature id for the 'EStructural Features' containment reference list.
`static int` | `FACET__ESUPER_TYPES` The feature id for the 'ESuper Types' reference list.
`static int` | `FACET__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list.
`static int` | `FACET__FACET_SET` The feature id for the 'Facet Set' reference.
`static int` | `FACET__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute.
`static int` | `FACET__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute.
`static int` | `FACET__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute.
`static int` | `FACET__INTERFACE` The feature id for the 'Interface' attribute.
`static int` | `FACET__NAME` The feature id for the 'Name' attribute.
`static int` | `FACET_ATTRIBUTE` The meta object id for the '`Attribute`' class.
`static int` | `FACET_ATTRIBUTE__CHANGEABLE` The feature id for the 'Changeable' attribute.
`static int` | `FACET_ATTRIBUTE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute.
`static int` | `FACET_ATTRIBUTE__DEFAULT_VALUE_LITERAL` The feature id for the 'Default Value Literal' attribute.
`static int` | `FACET_ATTRIBUTE__DERIVED` The feature id for the 'Derived' attribute.
`static int` | `FACET_ATTRIBUTE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` | `FACET_ATTRIBUTE__EATTRIBUTE_TYPE` The feature id for the 'EAttribute Type' reference.
`static int` | `FACET_ATTRIBUTE__ECONTAINING_CLASS` The feature id for the 'EContaining Class' container reference.
`static int` | `FACET_ATTRIBUTE__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference.
`static int` | `FACET_ATTRIBUTE__ETYPE` The feature id for the 'EType' reference.
`static int` | `FACET_ATTRIBUTE__ID` The feature id for the 'ID' attribute.
`static int` | `FACET_ATTRIBUTE__LOWER_BOUND` The feature id for the 'Lower Bound' attribute.
`static int` | `FACET_ATTRIBUTE__MANY` The feature id for the 'Many' attribute.
`static int` | `FACET_ATTRIBUTE__NAME` The feature id for the 'Name' attribute.
`static int` | `FACET_ATTRIBUTE__ORDERED` The feature id for the 'Ordered' attribute.
`static int` | `FACET_ATTRIBUTE__REQUIRED` The feature id for the 'Required' attribute.
`static int` | `FACET_ATTRIBUTE__TRANSIENT` The feature id for the 'Transient' attribute.
`static int` | `FACET_ATTRIBUTE__UNIQUE` The feature id for the 'Unique' attribute.
`static int` | `FACET_ATTRIBUTE__UNSETTABLE` The feature id for the 'Unsettable' attribute.
`static int` | `FACET_ATTRIBUTE__UPPER_BOUND` The feature id for the 'Upper Bound' attribute.
`static int` | `FACET_ATTRIBUTE__VALUE_QUERY` The feature id for the 'Value Query' reference.
`static int` | `FACET_ATTRIBUTE__VOLATILE` The feature id for the 'Volatile' attribute.
`static int` | `FACET_ATTRIBUTE_FEATURE_COUNT` The number of structural features of the 'Attribute' class.
`static int` | `FACET_FEATURE_COUNT` The number of structural features of the 'Facet' class.
`static int` | `FACET_REFERENCE` The meta object id for the '`Reference`' class.
`static int` | `FACET_REFERENCE__CHANGEABLE` The feature id for the 'Changeable' attribute.
`static int` | `FACET_REFERENCE__CONTAINER` The feature id for the 'Container' attribute.
`static int` | `FACET_REFERENCE__CONTAINMENT` The feature id for the 'Containment' attribute.
`static int` | `FACET_REFERENCE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute.
`static int` | `FACET_REFERENCE__DEFAULT_VALUE_LITERAL` The feature id for the 'Default Value Literal' attribute.
`static int` | `FACET_REFERENCE__DERIVED` The feature id for the 'Derived' attribute.
`static int` | `FACET_REFERENCE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` | `FACET_REFERENCE__ECONTAINING_CLASS` The feature id for the 'EContaining Class' container reference.
`static int` | `FACET_REFERENCE__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference.
`static int` | `FACET_REFERENCE__EKEYS` The feature id for the 'EKeys' reference list.
`static int` | `FACET_REFERENCE__EOPPOSITE` The feature id for the 'EOpposite' reference.
`static int` | `FACET_REFERENCE__EREFERENCE_TYPE` The feature id for the 'EReference Type' reference.
`static int` | `FACET_REFERENCE__ETYPE` The feature id for the 'EType' reference.
`static int` | `FACET_REFERENCE__LOWER_BOUND` The feature id for the 'Lower Bound' attribute.
`static int` | `FACET_REFERENCE__MANY` The feature id for the 'Many' attribute.
`static int` | `FACET_REFERENCE__NAME` The feature id for the 'Name' attribute.
`static int` | `FACET_REFERENCE__ORDERED` The feature id for the 'Ordered' attribute.
`static int` | `FACET_REFERENCE__REQUIRED` The feature id for the 'Required' attribute.
`static int` | `FACET_REFERENCE__RESOLVE_PROXIES` The feature id for the 'Resolve Proxies' attribute.
`static int` | `FACET_REFERENCE__TRANSIENT` The feature id for the 'Transient' attribute.
`static int` | `FACET_REFERENCE__UNIQUE` The feature id for the 'Unique' attribute.
`static int` | `FACET_REFERENCE__UNSETTABLE` The feature id for the 'Unsettable' attribute.
`static int` | `FACET_REFERENCE__UPPER_BOUND` The feature id for the 'Upper Bound' attribute.
`static int` | `FACET_REFERENCE__VALUE_QUERY` The feature id for the 'Value Query' reference.
`static int` | `FACET_REFERENCE__VOLATILE` The feature id for the 'Volatile' attribute.
`static int` | `FACET_REFERENCE_FEATURE_COUNT` The number of structural features of the 'Reference' class.
`static int` | `FACET_SET` The meta object id for the '`Set`' class.
`static int` | `FACET_SET__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` | `FACET_SET__ECLASSIFIERS` The feature id for the 'EClassifiers' containment reference list.
`static int` | `FACET_SET__EFACTORY_INSTANCE` The feature id for the 'EFactory Instance' reference.
`static int` | `FACET_SET__ESUBPACKAGES` The feature id for the 'ESubpackages' containment reference list.
`static int` | `FACET_SET__ESUPER_PACKAGE` The feature id for the 'ESuper Package' container reference.
`static int` | `FACET_SET__EXTENDED_PACKAGE` The feature id for the 'Extended Package' reference.
`static int` | `FACET_SET__FACETS` The feature id for the 'Facets' reference list.
`static int` | `FACET_SET__NAME` The feature id for the 'Name' attribute.
`static int` | `FACET_SET__NS_PREFIX` The feature id for the 'Ns Prefix' attribute.
`static int` | `FACET_SET__NS_URI` The feature id for the 'Ns URI' attribute.
`static int` | `FACET_SET_FEATURE_COUNT` The number of structural features of the 'Set' class.
`static int` | `FACET_STRUCTURAL_FEATURE` The meta object id for the '`Structural Feature`' class.
`static int` | `FACET_STRUCTURAL_FEATURE__VALUE_QUERY` The feature id for the 'Value Query' reference.
`static int` | `FACET_STRUCTURAL_FEATURE_FEATURE_COUNT` The number of structural features of the 'Structural Feature' class.
`static int` | `SHORTCUT` The meta object id for the '`Shortcut`' class.
`static int` | `SHORTCUT__CHANGEABLE` The feature id for the 'Changeable' attribute.
`static int` | `SHORTCUT__CONTAINER` The feature id for the 'Container' attribute.
`static int` | `SHORTCUT__CONTAINMENT` The feature id for the 'Containment' attribute.
`static int` | `SHORTCUT__DEFAULT_VALUE` The feature id for the 'Default Value' attribute.
`static int` | `SHORTCUT__DEFAULT_VALUE_LITERAL` The feature id for the 'Default Value Literal' attribute.
`static int` | `SHORTCUT__DERIVED` The feature id for the 'Derived' attribute.
`static int` | `SHORTCUT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` | `SHORTCUT__ECONTAINING_CLASS` The feature id for the 'EContaining Class' container reference.
`static int` | `SHORTCUT__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference.
`static int` | `SHORTCUT__EKEYS` The feature id for the 'EKeys' reference list.
`static int` | `SHORTCUT__EOPPOSITE` The feature id for the 'EOpposite' reference.
`static int` | `SHORTCUT__EREFERENCE_TYPE` The feature id for the 'EReference Type' reference.
`static int` | `SHORTCUT__ETYPE` The feature id for the 'EType' reference.
`static int` | `SHORTCUT__LOWER_BOUND` The feature id for the 'Lower Bound' attribute.
`static int` | `SHORTCUT__MANY` The feature id for the 'Many' attribute.
`static int` | `SHORTCUT__NAME` The feature id for the 'Name' attribute.
`static int` | `SHORTCUT__OPPOSITE_REFERENCE` The feature id for the 'Opposite Reference' reference.
`static int` | `SHORTCUT__ORDERED` The feature id for the 'Ordered' attribute.
`static int` | `SHORTCUT__PATH` The feature id for the 'Path' reference list.
`static int` | `SHORTCUT__REQUIRED` The feature id for the 'Required' attribute.
`static int` | `SHORTCUT__RESOLVE_PROXIES` The feature id for the 'Resolve Proxies' attribute.
`static int` | `SHORTCUT__TRANSIENT` The feature id for the 'Transient' attribute.
`static int` | `SHORTCUT__UNIQUE` The feature id for the 'Unique' attribute.
`static int` | `SHORTCUT__UNSETTABLE` The feature id for the 'Unsettable' attribute.
`static int` | `SHORTCUT__UPPER_BOUND` The feature id for the 'Upper Bound' attribute.
`static int` | `SHORTCUT__VOLATILE` The feature id for the 'Volatile' attribute.
`static int` | `SHORTCUT_FEATURE_COUNT` The number of structural features of the 'Shortcut' class.

Method Summary
`EReference` | `getFacet_ConditionQuery()` Returns the meta object for the reference '`Condition Query`'.
`EReference` | `getFacet_FacetSet()` Returns the meta object for the reference '`Facet Set`'.
`EClass` | `getFacet()` Returns the meta object for class '`Facet`'.
`EClass` | `getFacetAttribute()` Returns the meta object for class '`Attribute`'.
`FacetFactory` | `getFacetFactory()` Returns the factory that creates the instances of the model.
`EClass` | `getFacetReference()` Returns the meta object for class '`Reference`'.
`EReference` | `getFacetSet_ExtendedPackage()` Returns the meta object for the reference '`Extended Package`'.
`EReference` | `getFacetSet_Facets()` Returns the meta object for the reference list '`Facets`'.
`EClass` | `getFacetSet()` Returns the meta object for class '`Set`'.
`EReference` | `getFacetStructuralFeature_ValueQuery()` Returns the meta object for the reference '`Value Query`'.
`EClass` | `getFacetStructuralFeature()` Returns the meta object for class '`Structural Feature`'.
`EReference` | `getShortcut_OppositeReference()` Returns the meta object for the reference '`Opposite Reference`'.
`EReference` | `getShortcut_Path()` Returns the meta object for the reference list '`Path`'.
`EClass` | `getShortcut()` Returns the meta object for class '`Shortcut`'.

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final FacetPackage eINSTANCE

  The singleton instance of the package.

### FACET

    static final int FACET

  The meta object id for the '`Facet`' class.

  See Also:
    `FacetImpl`, `FacetPackageImpl.getFacet()`, Constant Field Values

### FACET__EANNOTATIONS

    static final int FACET__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### FACET__NAME

    static final int FACET__NAME

  The feature id for the 'Name' attribute.

### FACET__INSTANCE_CLASS_NAME

    static final int FACET__INSTANCE_CLASS_NAME

  The feature id for the 'Instance Class Name' attribute.

### FACET__INSTANCE_CLASS

    static final int FACET__INSTANCE_CLASS

  The feature id for the 'Instance Class' attribute.

### FACET__DEFAULT_VALUE

    static final int FACET__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

### FACET__INSTANCE_TYPE_NAME

    static final int FACET__INSTANCE_TYPE_NAME

  The feature id for the 'Instance Type Name' attribute.

### FACET__EPACKAGE

    static final int FACET__EPACKAGE

  The feature id for the 'EPackage' container reference.

### FACET__ETYPE_PARAMETERS

    static final int FACET__ETYPE_PARAMETERS

  The feature id for the 'EType Parameters' containment reference list.

### FACET__ABSTRACT

    static final int FACET__ABSTRACT

  The feature id for the 'Abstract' attribute.

### FACET__INTERFACE

    static final int FACET__INTERFACE

  The feature id for the 'Interface' attribute.

### FACET__ESUPER_TYPES

    static final int FACET__ESUPER_TYPES

  The feature id for the 'ESuper Types' reference list.

### FACET__EOPERATIONS

    static final int FACET__EOPERATIONS

  The feature id for the 'EOperations' containment reference list.

### FACET__EALL_ATTRIBUTES

    static final int FACET__EALL_ATTRIBUTES

  The feature id for the 'EAll Attributes' reference list.

### FACET__EALL_REFERENCES

    static final int FACET__EALL_REFERENCES

  The feature id for the 'EAll References' reference list.

### FACET__EREFERENCES

    static final int FACET__EREFERENCES

  The feature id for the 'EReferences' reference list.

### FACET__EATTRIBUTES

    static final int FACET__EATTRIBUTES

  The feature id for the 'EAttributes' reference list.

### FACET__EALL_CONTAINMENTS

    static final int FACET__EALL_CONTAINMENTS

  The feature id for the 'EAll Containments' reference list.

### FACET__EALL_OPERATIONS

    static final int FACET__EALL_OPERATIONS

  The feature id for the 'EAll Operations' reference list.

### FACET__EALL_STRUCTURAL_FEATURES

    static final int FACET__EALL_STRUCTURAL_FEATURES

  The feature id for the 'EAll Structural Features' reference list.

### FACET__EALL_SUPER_TYPES

    static final int FACET__EALL_SUPER_TYPES

  The feature id for the 'EAll Super Types' reference list.

### FACET__EID_ATTRIBUTE

    static final int FACET__EID_ATTRIBUTE

  The feature id for the 'EID Attribute' reference.

### FACET__ESTRUCTURAL_FEATURES

    static final int FACET__ESTRUCTURAL_FEATURES

  The feature id for the 'EStructural Features' containment reference list.

### FACET__EGENERIC_SUPER_TYPES

    static final int FACET__EGENERIC_SUPER_TYPES

  The feature id for the 'EGeneric Super Types' containment reference list.

### FACET__EALL_GENERIC_SUPER_TYPES

    static final int FACET__EALL_GENERIC_SUPER_TYPES

  The feature id for the 'EAll Generic Super Types' reference list.

### FACET__CONDITION_QUERY

    static final int FACET__CONDITION_QUERY

  The feature id for the 'Condition Query' reference.

### FACET__FACET_SET

    static final int FACET__FACET_SET

  The feature id for the 'Facet Set' reference.

### FACET_FEATURE_COUNT

    static final int FACET_FEATURE_COUNT

  The number of structural features of the 'Facet' class.

### FACET_ATTRIBUTE

    static final int FACET_ATTRIBUTE

  The meta object id for the '`Attribute`' class.

  See Also:
    `FacetAttributeImpl`, `FacetPackageImpl.getFacetAttribute()`, Constant Field Values

### FACET_ATTRIBUTE__EANNOTATIONS

    static final int FACET_ATTRIBUTE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### FACET_ATTRIBUTE__NAME

    static final int FACET_ATTRIBUTE__NAME

  The feature id for the 'Name' attribute.

### FACET_ATTRIBUTE__ORDERED

    static final int FACET_ATTRIBUTE__ORDERED

  The feature id for the 'Ordered' attribute.

### FACET_ATTRIBUTE__UNIQUE

    static final int FACET_ATTRIBUTE__UNIQUE

  The feature id for the 'Unique' attribute.

### FACET_ATTRIBUTE__LOWER_BOUND

    static final int FACET_ATTRIBUTE__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### FACET_ATTRIBUTE__UPPER_BOUND

    static final int FACET_ATTRIBUTE__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### FACET_ATTRIBUTE__MANY

    static final int FACET_ATTRIBUTE__MANY

  The feature id for the 'Many' attribute.

### FACET_ATTRIBUTE__REQUIRED

    static final int FACET_ATTRIBUTE__REQUIRED

  The feature id for the 'Required' attribute.

### FACET_ATTRIBUTE__ETYPE

    static final int FACET_ATTRIBUTE__ETYPE

  The feature id for the 'EType' reference.

### FACET_ATTRIBUTE__EGENERIC_TYPE

    static final int FACET_ATTRIBUTE__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### FACET_ATTRIBUTE__CHANGEABLE

    static final int FACET_ATTRIBUTE__CHANGEABLE

  The feature id for the 'Changeable' attribute.

### FACET_ATTRIBUTE__VOLATILE

    static final int FACET_ATTRIBUTE__VOLATILE

  The feature id for the 'Volatile' attribute.

### FACET_ATTRIBUTE__TRANSIENT

    static final int FACET_ATTRIBUTE__TRANSIENT

  The feature id for the 'Transient' attribute.

### FACET_ATTRIBUTE__DEFAULT_VALUE_LITERAL

    static final int FACET_ATTRIBUTE__DEFAULT_VALUE_LITERAL

  The feature id for the 'Default Value Literal' attribute.

### FACET_ATTRIBUTE__DEFAULT_VALUE

    static final int FACET_ATTRIBUTE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

### FACET_ATTRIBUTE__UNSETTABLE

    static final int FACET_ATTRIBUTE__UNSETTABLE

  The feature id for the 'Unsettable' attribute.

### FACET_ATTRIBUTE__DERIVED

    static final int FACET_ATTRIBUTE__DERIVED

  The feature id for the 'Derived' attribute.

### FACET_ATTRIBUTE__ECONTAINING_CLASS

    static final int FACET_ATTRIBUTE__ECONTAINING_CLASS

  The feature id for the 'EContaining Class' container reference.

### FACET_ATTRIBUTE__ID

    static final int FACET_ATTRIBUTE__ID

  The feature id for the 'ID' attribute.

### FACET_ATTRIBUTE__EATTRIBUTE_TYPE

    static final int FACET_ATTRIBUTE__EATTRIBUTE_TYPE

  The feature id for the 'EAttribute Type' reference.

### FACET_ATTRIBUTE__VALUE_QUERY

    static final int FACET_ATTRIBUTE__VALUE_QUERY

  The feature id for the 'Value Query' reference.

### FACET_ATTRIBUTE_FEATURE_COUNT

    static final int FACET_ATTRIBUTE_FEATURE_COUNT

  The number of structural features of the 'Attribute' class.

### FACET_REFERENCE

    static final int FACET_REFERENCE

  The meta object id for the '`Reference`' class.

  See Also:
    `FacetReferenceImpl`, `FacetPackageImpl.getFacetReference()`, Constant Field Values

### FACET_REFERENCE__EANNOTATIONS

    static final int FACET_REFERENCE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### FACET_REFERENCE__NAME

    static final int FACET_REFERENCE__NAME

  The feature id for the 'Name' attribute.

### FACET_REFERENCE__ORDERED

    static final int FACET_REFERENCE__ORDERED

  The feature id for the 'Ordered' attribute.

### FACET_REFERENCE__UNIQUE

    static final int FACET_REFERENCE__UNIQUE

  The feature id for the 'Unique' attribute.

### FACET_REFERENCE__LOWER_BOUND

    static final int FACET_REFERENCE__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### FACET_REFERENCE__UPPER_BOUND

    static final int FACET_REFERENCE__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### FACET_REFERENCE__MANY

    static final int FACET_REFERENCE__MANY

  The feature id for the 'Many' attribute.

### FACET_REFERENCE__REQUIRED

    static final int FACET_REFERENCE__REQUIRED

  The feature id for the 'Required' attribute.

### FACET_REFERENCE__ETYPE

    static final int FACET_REFERENCE__ETYPE

  The feature id for the 'EType' reference.

### FACET_REFERENCE__EGENERIC_TYPE

    static final int FACET_REFERENCE__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### FACET_REFERENCE__CHANGEABLE

    static final int FACET_REFERENCE__CHANGEABLE

  The feature id for the 'Changeable' attribute.

### FACET_REFERENCE__VOLATILE

    static final int FACET_REFERENCE__VOLATILE

  The feature id for the 'Volatile' attribute.

### FACET_REFERENCE__TRANSIENT

    static final int FACET_REFERENCE__TRANSIENT

  The feature id for the 'Transient' attribute.

### FACET_REFERENCE__DEFAULT_VALUE_LITERAL

    static final int FACET_REFERENCE__DEFAULT_VALUE_LITERAL

  The feature id for the 'Default Value Literal' attribute.

### FACET_REFERENCE__DEFAULT_VALUE

    static final int FACET_REFERENCE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

### FACET_REFERENCE__UNSETTABLE

    static final int FACET_REFERENCE__UNSETTABLE

  The feature id for the 'Unsettable' attribute.

### FACET_REFERENCE__DERIVED

    static final int FACET_REFERENCE__DERIVED

  The feature id for the 'Derived' attribute.

### FACET_REFERENCE__ECONTAINING_CLASS

    static final int FACET_REFERENCE__ECONTAINING_CLASS

  The feature id for the 'EContaining Class' container reference.

### FACET_REFERENCE__CONTAINMENT

    static final int FACET_REFERENCE__CONTAINMENT

  The feature id for the 'Containment' attribute.

### FACET_REFERENCE__CONTAINER

    static final int FACET_REFERENCE__CONTAINER

  The feature id for the 'Container' attribute.

### FACET_REFERENCE__RESOLVE_PROXIES

    static final int FACET_REFERENCE__RESOLVE_PROXIES

  The feature id for the 'Resolve Proxies' attribute.

### FACET_REFERENCE__EOPPOSITE

    static final int FACET_REFERENCE__EOPPOSITE

  The feature id for the 'EOpposite' reference.

### FACET_REFERENCE__EREFERENCE_TYPE

    static final int FACET_REFERENCE__EREFERENCE_TYPE

  The feature id for the 'EReference Type' reference.

### FACET_REFERENCE__EKEYS

    static final int FACET_REFERENCE__EKEYS

  The feature id for the 'EKeys' reference list.

### FACET_REFERENCE__VALUE_QUERY

    static final int FACET_REFERENCE__VALUE_QUERY

  The feature id for the 'Value Query' reference.

### FACET_REFERENCE_FEATURE_COUNT

    static final int FACET_REFERENCE_FEATURE_COUNT

  The number of structural features of the 'Reference' class.

### FACET_STRUCTURAL_FEATURE

    static final int FACET_STRUCTURAL_FEATURE

  The meta object id for the '`Structural Feature`' class.

  See Also:
    `FacetStructuralFeatureImpl`, `FacetPackageImpl.getFacetStructuralFeature()`, Constant Field Values

### FACET_STRUCTURAL_FEATURE__VALUE_QUERY

    static final int FACET_STRUCTURAL_FEATURE__VALUE_QUERY

  The feature id for the 'Value Query' reference.

  See Also:
    Constant Field Values

### FACET_STRUCTURAL_FEATURE_FEATURE_COUNT

    static final int FACET_STRUCTURAL_FEATURE_FEATURE_COUNT

  The number of structural features of the 'Structural Feature' class.

  See Also:
    Constant Field Values

### FACET_SET

    static final int FACET_SET

  The meta object id for the '`Set`' class.

  See Also:
    `FacetSetImpl`, `FacetPackageImpl.getFacetSet()`, Constant Field Values

### FACET_SET__EANNOTATIONS

    static final int FACET_SET__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### FACET_SET__NAME

    static final int FACET_SET__NAME

  The feature id for the 'Name' attribute.

### FACET_SET__NS_URI

    static final int FACET_SET__NS_URI

  The feature id for the 'Ns URI' attribute.

### FACET_SET__NS_PREFIX

    static final int FACET_SET__NS_PREFIX

  The feature id for the 'Ns Prefix' attribute.

### FACET_SET__EFACTORY_INSTANCE

    static final int FACET_SET__EFACTORY_INSTANCE

  The feature id for the 'EFactory Instance' reference.

### FACET_SET__ECLASSIFIERS

    static final int FACET_SET__ECLASSIFIERS

  The feature id for the 'EClassifiers' containment reference list.

### FACET_SET__ESUBPACKAGES

    static final int FACET_SET__ESUBPACKAGES

  The feature id for the 'ESubpackages' containment reference list.

### FACET_SET__ESUPER_PACKAGE

    static final int FACET_SET__ESUPER_PACKAGE

  The feature id for the 'ESuper Package' container reference.

### FACET_SET__EXTENDED_PACKAGE

    static final int FACET_SET__EXTENDED_PACKAGE

  The feature id for the 'Extended Package' reference.

### FACET_SET__FACETS

    static final int FACET_SET__FACETS

  The feature id for the 'Facets' reference list.

### FACET_SET_FEATURE_COUNT

    static final int FACET_SET_FEATURE_COUNT

  The number of structural features of the 'Set' class.

### SHORTCUT

    static final int SHORTCUT

  The meta object id for the '`Shortcut`' class.

  See Also:
    `ShortcutImpl`, `FacetPackageImpl.getShortcut()`, Constant Field Values

### SHORTCUT__EANNOTATIONS

    static final int SHORTCUT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### SHORTCUT__NAME

    static final int SHORTCUT__NAME

  The feature id for the 'Name' attribute.

### SHORTCUT__ORDERED

    static final int SHORTCUT__ORDERED

  The feature id for the 'Ordered' attribute.

### SHORTCUT__UNIQUE

    static final int SHORTCUT__UNIQUE

  The feature id for the 'Unique' attribute.

### SHORTCUT__LOWER_BOUND

    static final int SHORTCUT__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

### SHORTCUT__UPPER_BOUND

    static final int SHORTCUT__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

### SHORTCUT__MANY

    static final int SHORTCUT__MANY

  The feature id for the 'Many' attribute.

### SHORTCUT__REQUIRED

    static final int SHORTCUT__REQUIRED

  The feature id for the 'Required' attribute.

### SHORTCUT__ETYPE

    static final int SHORTCUT__ETYPE

  The feature id for the 'EType' reference.

### SHORTCUT__EGENERIC_TYPE

    static final int SHORTCUT__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

### SHORTCUT__CHANGEABLE

    static final int SHORTCUT__CHANGEABLE

  The feature id for the 'Changeable' attribute.

### SHORTCUT__VOLATILE

    static final int SHORTCUT__VOLATILE

  The feature id for the 'Volatile' attribute.

### SHORTCUT__TRANSIENT

    static final int SHORTCUT__TRANSIENT

  The feature id for the 'Transient' attribute.

### SHORTCUT__DEFAULT_VALUE_LITERAL

    static final int SHORTCUT__DEFAULT_VALUE_LITERAL

  The feature id for the 'Default Value Literal' attribute.

### SHORTCUT__DEFAULT_VALUE

    static final int SHORTCUT__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

### SHORTCUT__UNSETTABLE

    static final int SHORTCUT__UNSETTABLE

  The feature id for the 'Unsettable' attribute.

### SHORTCUT__DERIVED

    static final int SHORTCUT__DERIVED

  The feature id for the 'Derived' attribute.

### SHORTCUT__ECONTAINING_CLASS

    static final int SHORTCUT__ECONTAINING_CLASS

  The feature id for the 'EContaining Class' container reference.

### SHORTCUT__CONTAINMENT

    static final int SHORTCUT__CONTAINMENT

  The feature id for the 'Containment' attribute.

### SHORTCUT__CONTAINER

    static final int SHORTCUT__CONTAINER

  The feature id for the 'Container' attribute.

### SHORTCUT__RESOLVE_PROXIES

    static final int SHORTCUT__RESOLVE_PROXIES

  The feature id for the 'Resolve Proxies' attribute.

### SHORTCUT__EOPPOSITE

    static final int SHORTCUT__EOPPOSITE

  The feature id for the 'EOpposite' reference.

### SHORTCUT__EREFERENCE_TYPE

    static final int SHORTCUT__EREFERENCE_TYPE

  The feature id for the 'EReference Type' reference.

### SHORTCUT__EKEYS

    static final int SHORTCUT__EKEYS

  The feature id for the 'EKeys' reference list.

### SHORTCUT__PATH

    static final int SHORTCUT__PATH

  The feature id for the 'Path' reference list.

### SHORTCUT__OPPOSITE_REFERENCE

    static final int SHORTCUT__OPPOSITE_REFERENCE

  The feature id for the 'Opposite Reference' reference.

### SHORTCUT_FEATURE_COUNT

    static final int SHORTCUT_FEATURE_COUNT

  The number of structural features of the 'Shortcut' class.

Method Detail

### getFacet

    EClass getFacet()

  Returns the meta object for class '`Facet`'.

  Returns:
    the meta object for class 'Facet'.
  See Also:
    `Facet`

### getFacet_ConditionQuery

    EReference getFacet_ConditionQuery()

  Returns the meta object for the reference '`Condition Query`'.

  Returns:
    the meta object for the reference 'Condition Query'.
  See Also:
    `Facet.getConditionQuery()`, `getFacet()`

### getFacet_FacetSet

    EReference getFacet_FacetSet()

  Returns the meta object for the reference '`Facet Set`'.

  Returns:
    the meta object for the reference 'Facet Set'.
  See Also:
    `Facet.getFacetSet()`, `getFacet()`

### getFacetAttribute

    EClass getFacetAttribute()

  Returns the meta object for class '`Attribute`'.

  Returns:
    the meta object for class 'Attribute'.
  See Also:
    `FacetAttribute`

### getFacetReference

    EClass getFacetReference()

  Returns the meta object for class '`Reference`'.

  Returns:
    the meta object for class 'Reference'.
  See Also:
    `FacetReference`

### getFacetStructuralFeature

    EClass getFacetStructuralFeature()

  Returns the meta object for class '`Structural Feature`'.

  Returns:
    the meta object for class 'Structural Feature'.
  See Also:
    `FacetStructuralFeature`

### getFacetStructuralFeature_ValueQuery

    EReference getFacetStructuralFeature_ValueQuery()

  Returns the meta object for the reference '`Value Query`'.

  Returns:
    the meta object for the reference 'Value Query'.
  See Also:
    `FacetStructuralFeature.getValueQuery()`, `getFacetStructuralFeature()`

### getFacetSet

    EClass getFacetSet()

  Returns the meta object for class '`Set`'.

  Returns:
    the meta object for class 'Set'.
  See Also:
    `FacetSet`

### getFacetSet_ExtendedPackage

    EReference getFacetSet_ExtendedPackage()

  Returns the meta object for the reference '`Extended Package`'.

  Returns:
    the meta object for the reference 'Extended Package'.
  See Also:
    `FacetSet.getExtendedPackage()`, `getFacetSet()`

### getFacetSet_Facets

    EReference getFacetSet_Facets()

  Returns the meta object for the reference list '`Facets`'.

  Returns:
    the meta object for the reference list 'Facets'.
  See Also:
    `FacetSet.getFacets()`, `getFacetSet()`

### getShortcut

    EClass getShortcut()

  Returns the meta object for class '`Shortcut`'.

  Returns:
    the meta object for class 'Shortcut'.
  See Also:
    `Shortcut`

### getShortcut_Path

    EReference getShortcut_Path()

  Returns the meta object for the reference list '`Path`'.

  Returns:
    the meta object for the reference list 'Path'.
  See Also:
    `Shortcut.getPath()`, `getShortcut()`

### getShortcut_OppositeReference

    EReference getShortcut_OppositeReference()

  Returns the meta object for the reference '`Opposite Reference`'.

  Returns:
    the meta object for the reference 'Opposite Reference'.
  See Also:
    `Shortcut.getOppositeReference()`, `getShortcut()`

### getFacetFactory

    FacetFactory getFacetFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD